import searchBarProps from './types';
import SearchBar from './SearchBar';
/* istanbul ignore next */

SearchBar.install = function (Vue, options) {
  if (typeof options === 'function') {
    SearchBar.methods.getDictList = options;
  }

  Vue.component(SearchBar.name, SearchBar);
};

export { searchBarProps, SearchBar };
export default SearchBar;