"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _babelHelperVueJsxMergeProps = _interopRequireDefault(require("babel-helper-vue-jsx-merge-props"));

var _TextArea = _interopRequireDefault(require("ant-design-vue/es/input/TextArea"));

var _Input = _interopRequireDefault(require("../Input"));

var _types = _interopRequireDefault(require("./types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的文本域，继承自EInput
 */
var _default = {
  name: 'ETextarea',
  "extends": _Input["default"],
  props: _types["default"],
  methods: {
    _renderInput: function _renderInput() {
      var h = this.$createElement;
      return h(_TextArea["default"], (0, _babelHelperVueJsxMergeProps["default"])([{
        props: this.$props
      }, {
        on: {
          "change": this._change,
          "blur": this._blur
        }
      }]));
    }
  }
};
exports["default"] = _default;